Show small notice if user tries to tag/nominate a very recently created page
Closed, ResolvedPublic

Description

To reduce biteyness toward new users who are still working on a page, I would suggest showing a small indicator text below the headings "Add tags" and "Mark for Deletion" in the curation toolbar, like this:

Note: This page is only x minutes old. The user may still be working on it, so consider waiting before tagging it if the issues are fixable.

The text could obviously be improved - but the point would be to create a small affordance to give people time to let articles develop.

I would suggest showing this notice only if x is smaller than, say, 60 minutes.


Version: unspecified
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz40580.
Eloquence created this task.Via LegacySep 27 2012, 6:56 PM
Eloquence added a comment.Via ConduitSep 27 2012, 7:02 PM

(NB - This suggestion is based on a comment by User:Alanl on https://en.wikipedia.org/wiki/Wikipedia_talk:Page_Curation#Sort_by )

Fabrice_Florin added a comment.Via ConduitOct 2 2012, 9:18 PM

Thanks, Erik and Benny!

We heard similar requests in our last IRC chat, and I think it makes good sense to add this notice, though I would recommend putting it at the bottom of the flyout, above the 'Add Tags' or 'Mark for Deletion' buttons (and above the 'personal message' prompt and text box for 'Add Tags').

I also propose we tighten the copy so it could fit on one line, as so:

"Note: This page is only x minutes old. Consider waiting to tag it, unless the issue is serious."

This would only be displayed when a reviewer tries to tag or delete a new article that is less than 60 minutes old.

In the IRC chat, we discussed only showing this notice for certain tags, but that seems too cumbersome to implement and maintain. Instead, a generic message for 'tag' and 'mark for deletion' seems to make more practical.

Please let us know if this would work for you.

Eloquence added a comment.Via ConduitOct 2 2012, 9:19 PM

Works for me, thanks :)

kaldari added a comment.Via ConduitOct 11 2012, 1:12 AM

<bikeshedding>
60 minutes is ancient in wiki time. One of the people in the discussion suggested 15 minutes. How about we split the difference and go with 30 minutes?
</bikeshedding>

duplicatebug added a comment.Via ConduitNov 24 2012, 9:27 PM

(In reply to comment #2)

https://gerrit.wikimedia.org/r/#/c/25946/

Status Merged, bug resolved?

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.